/*
* Automatically generated file. DO NOT EDIT.
* Core-Embedded IoT Development Framework Project Configuration
*/
#define CONFIG_SOM_ESP32 1
#define CONFIG_PLATFORM_ESP_IDF 1
#define CONFIG_PLATFORM_TARGET "esp32"
#define CONFIG_PLATFORM_IDF_VERSION "v4.1-dev-256-g9f145ff"
#define CONFIG_USE_PERIPHERALS 1
#define CONFIG_USE_GPIO 1
#define CONFIG_USE_PERIPHERAL_COMMON 1
#define CONFIG_USE_TCPIP 1
#define CONFIG_USE_EVENT_GROUP 1
#define CONFIG_USE_OTA 1
#define CONFIG_FIRMWARE_FILENAME_MAX_LEN 64
#define CONFIG_FOTA_MAX_RETRY_COUNT 10
#define CONFIG_USE_SYSTEM 1
#define CONFIG_USE_APPCONFIG_HELPER 1
#define CONFIG_APPCONFIG_MAX_SIZE 1024
#define CONFIG_USE_APPPOSTDATA_HELPER 1
#define CONFIG_APPPOSTDATA_MAX_SIZE 2048
#define CONFIG_NONE_CFG 0
#define CONFIG_BLE_CFG 100
#define CONFIG_USB_CFG 101
#define CONFIG_UART_CFG 102
#define CONFIG_USE_DEVCONFIG 1
#define CONFIG_SYS_CONFIG_PERIPHERAL_BLE 1
#define CONFIG_LOCAL_USER_CONFIG_PERIPHERALS 100
#define CONFIG_SELECTED_SYSTEM_CONFIG_PERIPHERAL 100
#define CONFIG_USE_SOM 1
#define CONFIG_USE_SYS_HEARTBEAT 1
#define CONFIG_SYSTEM_HEARTBEAT_INTERVAL 10
#define CONFIG_USE_HW_IDENTIFY 1
#define CONFIG_USE_SYSINFO 1
#define CONFIG_USE_SYSINIT 1
#define CONFIG_USE_SYSTIME 1
#define CONFIG_USE_VERSION 1
#define CONFIG_USE_BOARDS 1
#define CONFIG_USE_COMMON 1
#define CONFIG_USE_DATA_STRUCTURES 1
#define CONFIG_USE_LINKED_LIST 1
#define CONFIG_USE_ERRORS 1
#define CONFIG_USE_PERSISTENT 1
#define CONFIG_PERSISTENT_MEMORY_NVS 100
#define CONFIG_USE_NVS 1
#define CONFIG_PERSISTENT_MEMORY_SDMMC 200
#define CONFIG_SELECT_MEMORY_NVS_FOR_CONFIG_STORAGE 1
#define CONFIG_PERSISTENT_MEMORY_TYPE_FOR_CONFIG_STORAGE 100
#define CONFIG_SELECT_MEMORY_NVS_FOR_SOMREGN_STORAGE 1
#define CONFIG_PERSISTENT_MEMORY_TYPE_FOR_SOMREGN_STORAGE 100
#define CONFIG_SELECT_MEMORY_NONE_FOR_DATA_STORAGE 1
#define CONFIG_PERSISTENT_MEMORY_TYPE_FOR_DATA_STORAGE 0
#define CONFIG_USE_THREADING 1
#define CONFIG_USE_HMI 1
#define CONFIG_USE_BUTTON 1
#define CONFIG_DEFAULT_BUTTON_LONG_PRESS_DURATION 5000
#define CONFIG_DEFAULT_BUTTON_SHORT_PRESS_DURATION 500
#define CONFIG_DEFAULT_BUTTON_DOUBLE_PRESS_INTERVAL_DURATION 250
#define CONFIG_DEFAULT_BUTTON_PRESS_DURATION 200
#define CONFIG_USE_LED 1
#define CONFIG_HAVE_SYSTEM_HMI 1
#define CONFIG_HAVE_HMI_RGBLED_IN_STARTUP 1
#define CONFIG_USE_CONN 1
#define CONFIG_USE_INTERFACES 1
#define CONFIG_USE_BLE 1
#define CONFIG_USE_WIFI 1
#define CONFIG_WIFI_MAX_RETRY_PER_CONFIG 5
#define CONFIG_MAX_NUM_WIFI_CONFIGS 10
#define CONFIG_USE_PROTOCOLS 1
#define CONFIG_HAVE_PROTOCOLS 1
#define CONFIG_USE_HTTP 1
#define CONFIG_HAVE_HTTP 1
#define CONFIG_USE_SNTP 1
#define CONFIG_HAVE_SNTP_SYSTIME 1
#define CONFIG_SNTP_SERVER_URL "pool.ntp.org"
#define CONFIG_USE_LOGGING 1
#define CONFIG_USE_INPUT_PROCESSOR 1
#define CONFIG_USE_PARSON 1
#define CONFIG_USE_UTILS 1
